import {
  get,
  post
} from '@/common/utils/http-util.ts'

export default {
  paging(data: InOrderTypes.SearchInOrderParam) {
    return get<G.PageResult<InOrderTypes.SearchInOrderResult>>('/in_order/paging', data)
  },
  detail(id: string) {
    return get<InOrderTypes.SearchInOrderResult>('/in_order/detail', {id})
  },
  add(data: InOrderTypes.AddInOrderParam) {
    return post('/in_order/add', data)
  },
  modify(data: InOrderTypes.ModifyInOrderParam) {
    return post('/in_order/modify', data)
  },
  del(ids: string[]) {
    return post('/in_order/del', ids)
  },
}
